Flow

List flow schedules

GET
/flows/{flow}/schedules

Returns a paginated list of schedules ordered by creation time.

BearerAuth
headerAuthorizationBearer <JWT>

Admin token, API token issued via /api-tokens, or an OIDC JWT access token issued by the configured OIDC provider.

flow*string
Formatuuid
pageSize?integer

The number of results per page. Defaults to 20, maximum 100.

pageToken?string

Cursor for pagination. Pass the nextPageToken from a previous response to retrieve the next page.

A paginated list of schedules.

application/json
  1. response
schedules*array<>
nextPageToken?string

Cursor for the next page. Empty when no more results exist.

totalSize*integer

Total number of schedules for this flow.

Example Request
curl -X GET 'https://example.com/api/hub/flows/497f6eca-6276-4993-bfeb-53cbbbba6f08/schedules'
Example Response
{  "schedules": [    {      "name": "flows/550e8400-e29b-41d4-a716-446655440000/schedules/770e8400-e29b-41d4-a716-446655440000",      "cron": "0 */5 * * * *",      "nextRunTime": "2019-08-24T14:15:22Z",      "createTime": "2019-08-24T14:15:22Z",      "updateTime": "2019-08-24T14:15:22Z"    }  ],  "nextPageToken": "string",  "totalSize": 3}